CREATE TABLE cso_content_autosave (
    RECORD_ID                VARCHAR2(128) ,
    CONTENT_TEXT_ID          VARCHAR2(128) ,
    CONTENT_AUTOSAVE_TYPE    VARCHAR2(40)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    DOCUMENT_ID              VARCHAR2(200) ,
    TITLE                    VARCHAR2(4000),
    CONTENT_CHANNEL_ID       VARCHAR2(128)     NOT NULL,
    DATE_ADDED               TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED            TIMESTAMP(6)      NOT NULL,
    LOCALE_ID                VARCHAR2(128)     NOT NULL,
    USER_PARTY_ID            NUMBER(18, 0) ,
    USER_ID                  VARCHAR2(128) ,
    RECORD_ID                VARCHAR2(128) ,
    CONTENT_TEXT_ID          VARCHAR2(128) ,
    CONTENT_AUTOSAVE_TYPE    VARCHAR2(40)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    DOCUMENT_ID              VARCHAR2(200) ,
    TITLE                    VARCHAR2(4000),
    CONTENT_CHANNEL_ID       VARCHAR2(128)     NOT NULL,
    DATE_ADDED               TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED            TIMESTAMP(6)      NOT NULL,
    LOCALE_ID                VARCHAR2(128)     NOT NULL,
    USER_PARTY_ID            NUMBER(18, 0) ,
    USER_ID                  VARCHAR2(128) ,
    CONSTRAINT pk_cso_content_autosave PRIMARY KEY (RECORD_ID, RECORD_ID)
);
